mtext_get_properties(3m17n)

NAME
mtext_get_properties - Get multiple text properties.

SYNOPSIS
int mtext_get_properties (MText * mt, int pos, MSymbol key, MTextProperty ** props, int num)

DESCRIPTION
Get multiple text properties.

The mtext_get_properties() function searches the character at pos in M-text mt for properties whose key is key. If such properties are found, they are stored in the memory area pointed to by props. num limits the maximum number of stored properties.

RETURN VALUE

    If the operation was successful, mtext_get_properties() returns the number of actually stored properties. If the character at pos does not have a property whose key is key, the return value is 0. If an error is detected, mtext_get_properties() returns -1 and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.